Bug 37776 - REGRESSION: When using dvorak, keydown/keyup reports qwerty keyCodes
Summary: REGRESSION: When using dvorak, keydown/keyup reports qwerty keyCodes
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebCore Misc. (show other bugs)
Version: 528+ (Nightly build)
Hardware: Macintosh Intel OS X 10.6
: P1 Normal
Assignee: Alexey Proskuryakov
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2010-04-18 13:52 PDT by marcos ojeda
Modified: 2010-06-22 15:47 PDT (History)
2 users (show)

See Also:


Attachments
A webpage that exhibits and logs this behavior on keyup. (654 bytes, text/html)
2010-04-18 13:53 PDT, marcos ojeda
no flags Details
proposed fix (6.50 KB, patch)
2010-04-20 20:45 PDT, Alexey Proskuryakov
darin: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description marcos ojeda 2010-04-18 13:52:17 PDT
The other day when i was browsing ffffound, i noticed that pushing the C key (maps to J) to navigate down no longer worked. I assumed this was a webpage error, until i realized that pushing the actual J key caused the navigation to work again.

I made an html page, which i am attaching, that adds an a keyup event to document and reports the event.keyCode and Sting.fromCharCode(event.keyCode) so you can see what i mean. Neither Safari, Chrome or Firefox have this problem, only webkit nightlies.

So, again, the error is that when i push the F key on my keyboard on the attached page, webkit reports that i pushed F while every other browser reports (correctly) that i pushed U.

Hope that helps, it's my first bug report, but i tried to make something to easily test this.

best,
--marcos
Comment 1 marcos ojeda 2010-04-18 13:53:29 PDT
Created attachment 53632 [details]
A webpage that exhibits and logs this behavior on keyup.
Comment 2 Alexey Proskuryakov 2010-04-18 15:00:44 PDT
This is a result of fixing bug 36616. We need to find a way to make both work, although I'm not yet sure how.
Comment 3 Alexey Proskuryakov 2010-04-18 15:01:17 PDT
<rdar://problem/7877716>
Comment 4 Alexey Proskuryakov 2010-04-18 15:15:25 PDT
Actually, it seems that IE remaps keycodes for (most?all?) Roman keyboards. So, we have the same problem with AZERTY, for example.
Comment 5 Alexey Proskuryakov 2010-04-20 20:45:31 PDT
Created attachment 53913 [details]
proposed fix
Comment 6 Alexey Proskuryakov 2010-04-20 21:55:35 PDT
Committed <http://trac.webkit.org/changeset/57951>.
Comment 7 Simon Fraser (smfr) 2010-06-22 15:47:43 PDT
This caused bug 41016.